### Hierarchy

- AbstractMap
  - HereMap

## Index

### Constructors

- constructor

### Properties

- API_CORE
- API_EVENTS
- API_SERVICE
- API_UI
- defaultMarkerIcon
- defaultSelectedMarkerIcon
- defaultZoom
- map
- markerIcon
- markers
- maxZoom
- minZoom
- selectedMarkerIcon
- spec

### Methods

- activateMarker
- addMarkersToForm
- addRouteMarkersToMap
- addRouteShapeToMap
- calculateRoute
- createPlatform
- deactivateMarker
- getCenter
- getMarkerIconSrc
- getRouteEndIcon
- getRouteStartIcon
- getSelectedMarkerIconSrc
- getZoom
- includeScripts
- init
- initAPI
- initMap
- initMarkerIcons
- initMarkers
- onRoutingError
- onRoutingSuccess
- render
- resetAllMarkers
- setLabel
- setMarkersToValue
- wrapper
- getMarkersFromSrc

## Constructors

### constructor

- new HereMap(spec: ISpecification): HereMap

- Overrides AbstractMap.constructor

  - Defined in lib/renderable/map/here/index.ts:21

  #### Parameters

  - ##### spec: ISpecification

  #### Returns HereMap

## Properties

### Private API_CORE

API_CORE: string = "https://js.api.here.com/v3/3.1/mapsjs-core.js"

- Defined in lib/renderable/map/here/index.ts:9

### Private API_EVENTS

API_EVENTS: string = "https://js.api.here.com/v3/3.1/mapsjs-mapevents.js"

- Defined in lib/renderable/map/here/index.ts:12

### Private API_SERVICE

API_SERVICE: string = "https://js.api.here.com/v3/3.1/mapsjs-service.js"

- Defined in lib/renderable/map/here/index.ts:10

### Private API_UI

API_UI: string = "https://js.api.here.com/v3/3.1/mapsjs-ui.js"

- Defined in lib/renderable/map/here/index.ts:11

### defaultMarkerIcon

defaultMarkerIcon: string = "http://maps.google.com/mapfiles/ms/icons/red-dot.png"

Inherited from AbstractMap.defaultMarkerIcon

- Defined in lib/renderable/map/AbstractMap.ts:16

### defaultSelectedMarkerIcon

defaultSelectedMarkerIcon: string = "http://maps.google.com/mapfiles/ms/icons/blue-dot.png"

Inherited from AbstractMap.defaultSelectedMarkerIcon

- Defined in lib/renderable/map/AbstractMap.ts:17

### defaultZoom

defaultZoom: 8 = 8

Overrides AbstractMap.defaultZoom

- Defined in lib/renderable/map/here/index.ts:19

### Private map

map: Map

- Defined in lib/renderable/map/here/index.ts:15

### Private markerIcon

markerIcon: DomIcon

- Defined in lib/renderable/map/here/index.ts:16

### Private markers

markers: Array<Marker> = []

- Defined in lib/renderable/map/here/index.ts:14

### maxZoom

maxZoom: 20 = 20

Overrides AbstractMap.maxZoom

- Defined in lib/renderable/map/here/index.ts:20

### minZoom

minZoom: 0 = 0

Overrides AbstractMap.minZoom

- Defined in lib/renderable/map/here/index.ts:21

### Private selectedMarkerIcon

selectedMarkerIcon: DomIcon

- Defined in lib/renderable/map/here/index.ts:17

### spec

spec: ISpecification

Inherited from AbstractMap.spec

- Defined in lib/renderable/map/AbstractMap.ts:10

## Methods

### activateMarker

- activateMarker(marker: DomMarker): void

- - Defined in lib/renderable/map/here/index.ts:116

  #### Parameters

  - ##### marker: DomMarker

  #### Returns void

### addMarkersToForm

- addMarkersToForm(wrapper: INode, selectedMarkers: Array<any>): void

- Inherited from AbstractMap.addMarkersToForm

  - Defined in lib/renderable/map/AbstractMap.ts:88

  #### Parameters

  - ##### wrapper: INode

  - ##### selectedMarkers: Array<any>

  #### Returns void

### addRouteMarkersToMap

- addRouteMarkersToMap(waypoints: Array<object>): void

- - Defined in lib/renderable/map/here/index.ts:156

  #### Parameters

  - ##### waypoints: Array<object>

  #### Returns void

### addRouteShapeToMap

- addRouteShapeToMap(routeShape: string[]): void

- - Defined in lib/renderable/map/here/index.ts:182

  #### Parameters

  - ##### routeShape: string[]

  #### Returns void

### calculateRoute

- calculateRoute(platform: Platform, routePoints?: undefined | string): void

- - Defined in lib/renderable/map/here/index.ts:125

  #### Parameters

  - ##### platform: Platform

  - ##### Optional routePoints: undefined | string

  #### Returns void

### createPlatform

- createPlatform(): Platform

- - Defined in lib/renderable/map/here/index.ts:38

  #### Returns Platform

### deactivateMarker

- deactivateMarker(marker: DomMarker): void

- - Defined in lib/renderable/map/here/index.ts:109

  #### Parameters

  - ##### marker: DomMarker

  #### Returns void

### getCenter

- getCenter(): WayPoint

- Inherited from AbstractMap.getCenter

  - Defined in lib/renderable/map/AbstractMap.ts:41

  #### Returns WayPoint

### getMarkerIconSrc

- getMarkerIconSrc(): string

- Inherited from AbstractMap.getMarkerIconSrc

  - Defined in lib/renderable/map/AbstractMap.ts:31

  #### Returns string

### Private getRouteEndIcon

- getRouteEndIcon(): DomIcon

- - Defined in lib/renderable/map/here/index.ts:173

  #### Returns DomIcon

### Private getRouteStartIcon

- getRouteStartIcon(): DomIcon

- - Defined in lib/renderable/map/here/index.ts:164

  #### Returns DomIcon

### getSelectedMarkerIconSrc

- getSelectedMarkerIconSrc(): string

- Inherited from AbstractMap.getSelectedMarkerIconSrc

  - Defined in lib/renderable/map/AbstractMap.ts:32

  #### Returns string

### getZoom

- getZoom(): number

- Inherited from AbstractMap.getZoom

  - Defined in lib/renderable/map/AbstractMap.ts:34

  #### Returns number

### includeScripts

- includeScripts(scripts: Array<string>): Promise<unknown>

- Inherited from AbstractMap.includeScripts

  - Defined in lib/renderable/map/AbstractMap.ts:97

  #### Parameters

  - ##### scripts: Array<string>

  #### Returns Promise<unknown>

### init

- init(wrapper: INode): HTMLElement

- Overrides AbstractMap.init

  - Defined in lib/renderable/map/here/index.ts:27

  #### Parameters

  - ##### wrapper: INode

  #### Returns HTMLElement

### initAPI

- initAPI(): Promise<unknown>

- - Defined in lib/renderable/map/here/index.ts:205

  #### Returns Promise<unknown>

### initMap

- initMap(wrapper: INode, platform: Platform): void

- - Defined in lib/renderable/map/here/index.ts:40

  #### Parameters

  - ##### wrapper: INode

  - ##### platform: Platform

  #### Returns void

### initMarkerIcons

- initMarkerIcons(): void

- - Defined in lib/renderable/map/here/index.ts:55

  #### Returns void

### initMarkers

- initMarkers(wrapper: INode): void

- - Defined in lib/renderable/map/here/index.ts:70

  #### Parameters

  - ##### wrapper: INode

  #### Returns void

### onRoutingError

- onRoutingError(error: Error): void

- - Defined in lib/renderable/map/here/index.ts:143

  #### Parameters

  - ##### error: Error

  #### Returns void

### onRoutingSuccess

- onRoutingSuccess(result: ServiceResult): void

- - Defined in lib/renderable/map/here/index.ts:145

  #### Parameters

  - ##### result: ServiceResult

  #### Returns void

### render

- render(className: string): HTMLElement

- Inherited from AbstractMap.render

  - Defined in lib/renderable/map/AbstractMap.ts:29

  #### Parameters

  - ##### className: string

  #### Returns HTMLElement

### resetAllMarkers

- resetAllMarkers(): void

- Overrides AbstractMap.resetAllMarkers

  - Defined in lib/renderable/map/here/index.ts:123

  #### Returns void

### setLabel

- setLabel(text: string, wrapper: INode): void

- Inherited from AbstractMap.setLabel

  - Defined in lib/renderable/map/AbstractMap.ts:58

  #### Parameters

  - ##### text: string

  - ##### wrapper: INode

  #### Returns void

### setMarkersToValue

- setMarkersToValue(wrapper: INode): void

- Overrides AbstractMap.setMarkersToValue

  - Defined in lib/renderable/map/here/index.ts:195

  #### Parameters

  - ##### wrapper: INode

  #### Returns void

### wrapper

- wrapper(className: string): INode

- Inherited from AbstractMap.wrapper

  - Defined in lib/renderable/map/AbstractMap.ts:66

  #### Parameters

  - ##### className: string

  #### Returns INode

### Static getMarkersFromSrc

- getMarkersFromSrc(src: string): Promise<any>

- Inherited from AbstractMap.getMarkersFromSrc

  - Defined in lib/renderable/map/AbstractMap.ts:64

  #### Parameters

  - ##### src: string

  #### Returns Promise<any>

Generated using TypeDoc